Show / Hide Table of Contents

# Struct AtkComponentIcon

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: FFXIVClientStructs.Component.GUI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AtkComponentIcon

### Fields

| Improve this Doc View Source

#### AtkComponentBase

##### Declaration

    public AtkComponentBase AtkComponentBase

##### Field Value

Type | Description
--- | ---
AtkComponentBase |

| Improve this Doc View Source

#### ComboBorder

##### Declaration

    public AtkResNode*ComboBorder

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### Flags

##### Declaration

    public IconComponentFlags Flags

##### Field Value

Type | Description
--- | ---
IconComponentFlags |

| Improve this Doc View Source

#### Frame

##### Declaration

    public AtkResNode*Frame

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### FrameIcon

##### Declaration

    public AtkImageNode*FrameIcon

##### Field Value

Type | Description
--- | ---
AtkImageNode* |

| Improve this Doc View Source

#### IconAdditionsContainer

##### Declaration

    public AtkResNode*IconAdditionsContainer

##### Field Value

Type | Description
--- | ---
AtkResNode* |

| Improve this Doc View Source

#### IconId

##### Declaration

    public long IconId

##### Field Value

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### IconImage

##### Declaration

    public AtkImageNode*IconImage

##### Field Value

Type | Description
--- | ---
AtkImageNode* |

| Improve this Doc View Source

#### QuantityText

##### Declaration

    public AtkTextNode*QuantityText

##### Field Value

Type | Description
--- | ---
AtkTextNode* |

| Improve this Doc View Source

#### Texture

##### Declaration

    public ULDTexture*Texture

##### Field Value

Type | Description
--- | ---
ULDTexture* |

| Improve this Doc View Source

#### Unknown0E8

##### Declaration

    public long Unknown0E8

##### Field Value

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### UnknownImageNode

##### Declaration

    public AtkImageNode*UnknownImageNode

##### Field Value

Type | Description
--- | ---
AtkImageNode* |